
module Kernel

  # Pretty prints an exception/error object
  # usefull for helpfull debug messages
  #
  # Input:
  # The Exception/StandardError object
  #
  # Output:
  # the pretty printed string
  
  def pp_exception(ex)
    return %{#{ex.message}\n  #{ex.backtrace.join("\n  ")}\n  LOGGED FROM: #{caller[0]}}
  end

end
